Bug 1716455 - OS X error -50 when creating sub-folder on Samba share when using Gluster VFS
Summary: OS X error -50 when creating sub-folder on Samba share when using Gluster VFS
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: GlusterFS
Classification: Community
Component: gluster-smb
Version: 5
Hardware: x86_64
OS: Mac OS
high
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-03 14:33 UTC by ryan
Modified: 2019-07-03 11:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-03 11:49:01 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
Debug level 10 log (7.60 MB, text/plain)
2019-06-03 14:33 UTC, ryan
no flags Details

Description ryan 2019-06-03 14:33:05 UTC
Created attachment 1576693 [details]
Debug level 10 log

Description of problem:
OS X finder produces -50 error when trying to create a folder anywhere other than at the top of a share. This occurs when using the Gluster VFS module.


Version-Release number of selected component (if applicable):
OS X = 10.14.4
Samba = 4.9.6
Gluster = 6.1


How reproducible:
Everytime

Steps to Reproduce:
1. Connect to share
2. Create folder at root of share
3. Go into that folder
4. Try to create folder
5. Create fails and produces error -50

Actual results:
Error -50 produced and folder is not created

Expected results:
Folder is created without error

Additional info:
 SMB configuration:
[global]
security = ADS
workgroup = DOMAIN
realm = DOMAIN.LOCAL
netbios name = NAS01
max protocol = SMB3
min protocol = SMB2
ea support = yes
clustering = yes
server signing = no
max log size = 10000
glusterfs:loglevel = 5
log file = /var/log/samba/log-%M.smbd
logging = file
log level = 10
template shell = /sbin/nologin
winbind offline logon = false
winbind refresh tickets = yes
winbind enum users = Yes
winbind enum groups = Yes
allow trusted domains = yes
passdb backend = tdbsam
idmap cache time = 604800
idmap negative cache time = 300
winbind cache time = 604800
idmap config magenta:backend = rid
idmap config magenta:range = 10000-999999
idmap config * : backend = tdb
idmap config * : range = 3000-7999
guest account = nobody
map to guest = bad user
force directory mode = 0777
force create mode = 0777
create mask = 0777
directory mask = 0777
hide unreadable = no
store dos attributes = no
unix extensions = no
load printers = no
printing = bsd
printcap name = /dev/null
disable spoolss = yes
glusterfs:volfile_server = localhost
kernel share modes = No
strict locking = auto
oplocks = yes
durable handles = yes
kernel oplocks = no
posix locking = no
level2 oplocks = no
readdir_attr:aapl_rsize = yes
readdir_attr:aapl_finder_info = no
readdir_attr:aapl_max_access = no

[qc_only]
guest ok = no
read only = no
vfs objects = glusterfs
glusterfs:volume = mcv01
path = "/data/qc_only"
valid users = @"QC_ops"

Comment 1 ryan 2019-06-12 11:50:25 UTC
Issue exists on Gluster 5.6 and 6.
Can also be re-produced with this smb.conf:

[global]
security = user
netbios name = NAS01
clustering = no
server signing = no

max log size = 10000
log file = /var/log/samba/log-%M-test.smbd
logging = file
log level = 2

passdb backend = tdbsam
guest account = nobody
map to guest = bad user

force directory mode = 0777
force create mode = 0777
create mask = 0777
directory mask = 0777

store dos attributes = yes

load printers = no
printing = bsd
printcap name = /dev/null
disable spoolss = yes

#posix locking = no
glusterfs:volfile_server = localhost
ea support = yes
fruit:aapl = yes
kernel share modes = No

[VFS]
vfs objects = fruit streams_xattr glusterfs
fruit:encoding = native
glusterfs:volume = mcv02
path = /
read only = no
guest ok = yes

Comment 2 Guenther Deschner 2019-06-19 17:19:08 UTC
This has been addressed in Samba upstream and will be part of Samba 4.9.10 and 4.10.6

Comment 3 ryan 2019-07-03 11:49:01 UTC
Hi Guenther,

I can confirm 4.9.10 has fixed this issue.

Best,
Ryan


Note You need to log in before you can comment on or make changes to this bug.